Bug 146705 - CAN-2005-0100 Arbitrary code execution in *xemacs*
CAN-2005-0100 Arbitrary code execution in *xemacs*
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xemacs (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Jens Petersen
impact=important,public=20050210
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-31 16:28 EST by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 21.4.17-0.FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-16 21:16:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-31 16:28:54 EST
*** This bug has been split off bug 146704 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.31
16:18 -------

Max Vozeler discovered several format string vulnerabilities in the
movemail utility of Emacs, the well-known editor.  Via connecting to a
malicious POP server an attacker can execute arbitrary code under the
privileges of group mail (or worse, depending on the permissions of
the movemail binary).


The proposed fix for this issue is attachment 110461 [details]
Comment 1 Josh Bressers 2005-01-31 16:29:32 EST
This issue should also affect FC2
Comment 2 Mark J. Cox (Product Security) 2005-02-07 04:20:10 EST
removing embargo
http://list-archive.xemacs.org/xemacs-announce/200502/msg00001.html

Note You need to log in before you can comment on or make changes to this bug.